import bpy
from bpy.types import AddonPreferences
from bpy.props import BoolProperty
from .. import __package__ as base_package

class SWPreferences(AddonPreferences):
    bl_idname = base_package
    
    use_global: BoolProperty(name="Use default workspaces", description="Switch the workspace topbar between Scene Workspaces and the default one", default=False)
    
    def draw(self, context):
        layout = self.layout
        layout.prop(self, "use_global")
        